Status: Rejected Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: normal
Description
TaxonNameEditor

e when mode VALIDATE_AGAINST_HIGHER_NAME_PART is enabled: "register new name if the needed genus or species is
not found in the combobox" #7497#note-3

Related issues:
Related to EDIT - task #7338: Validate taxon name against the higher taxon name Closed

History

#1 - 06/19/2018 01:12 PM - Andreas Kohlbecker
- Subject changed from Dokument and add guide and hints for the Ul to Dokument and add guides and hints for the Ul

#2 - 06/19/2018 01:12 PM - Andreas Kohlbecker
- Subject changed from Dokument and add guides and hints for the Ul to Dokument and add guides and hints to the Ul

#3 - 06/19/2018 01:25 PM - Andreas Kohlbecker
- Description updated

[Henning wrote]:

Durch die Validierung ist es nicht mehr méglich, das Species-Epitheton neu einzugeben.
D.h. eine Eingabe eines infraspezifischen Epithets erfordert vorher die Registrierung des Species-Namen.

Von der Logik her ist das kein Fehler. Deine Validierung hat es nur an den Tag gebracht. Der Screenshot zeigt eine Forma, bei der das Species
epithet nicht im System war und darum nicht angezeigt wird.

Von der inhaltlichen Logik ist es so, dass nomenklatorische Autoren, die ein neues infraspezifisches Taxon publizieren, vorher checken
mussen/muissten, ob die Art valide beschrieben ist.

Viele GruBe,
Wolf-Henning

#4 - 06/19/2018 01:26 PM - Andreas Kohlbecker

- Description updated

#5 - 06/19/2018 01:26 PM - Andreas Kohlbecker
- Description updated

#6 - 06/19/2018 01:26 PM - Andreas Kohlbecker

- Related to task #7338: Validate taxon name against the higher taxon name added

#7 - 05/28/2019 02:38 PM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Unassigned CDM tickets)

in the ui the genus and species widgets show a warning and offer a new button at the same time, this should be sufficient, so that a hint as suggested
here should not be needed
